#ifndef _ENGINE_CORE_COLLECTIONS_UNORDEREDMAPEXTENSIONS_HPP
#define _ENGINE_CORE_COLLECTIONS_UNORDEREDMAPEXTENSIONS_HPP

#include <functional>
#include "HashString.hpp"

namespace std
{
	template<> class equal_to<Engine::Core::Collections::HashString>
	{
	public:
		bool operator()(const Engine::Core::Collections::HashString& _lhs, const Engine::Core::Collections::HashString _rhs)
		{
			return _lhs.Hash() == _rhs.Hash();
		}
	};

	template<> class hash<Engine::Core::Collections::HashString>
	{
	public:
		size_t operator()(const Engine::Core::Collections::HashString& _value) const 
		{
			return _value.Hash();
		}
	};
}

#endif