#ifndef _ENGINE_CORE_EVENTHANDLING_IEVENTHANDLER_HPP
#define _ENGINE_CORE_EVENTHANDLING_IEVENTHANDLER_HPP

#include "../../dllconfig.hpp"
#include "EventArgs.hpp"

namespace Engine
{
	namespace Core
	{
		namespace EventHandling
		{
			class _DLL_DECLSPEC IEventHandler
			{
			public:
				virtual ~IEventHandler();

				bool operator == (const IEventHandler& _handler);

				virtual long long GetCallAddress() const = 0;
				virtual long long GetObjectAddress() const = 0;

				virtual void Call(void* _sender, EventArgs& _args) = 0;
			};
		}
	}
}

#endif