#ifndef _ENGINE_CORE_HARDWARE_SSEINSTRUCTIONS_HPP
#define _ENGINE_CORE_HARDWARE_SSEINSTRUCTIONS_HPP

#include "../../dllconfig.hpp"
#include <mmintrin.h>
#include "CPUInformation.hpp"

/*
 * This headerfiles replaces some of the SSE Features that may not be supported
 * by the processor with different implementations of them
 */

#ifdef USE_SSE4_REPLACEMENTS

__m128 sse_dp_ps_internal(__m128 _a, __m128 _b, const int _mask);

#undef _mm_dp_ps
#define _mm_dp_ps sse_dp_ps_internal

	

	/*if (Engine::Core::Hardware::CPUInformation::HasSSE41Extensions()) { return  _mm_dp_ps(a, b, mask); } \
	else \
	{ \
		float[8] maskFloat; \
		for (int i = 0; i < 8; i++) \
			maskFloat[i] = ((maskFloat & (1 << i)) != 0) ? 1.0f : 0.0f; \
		\
		__m128 mask1 = _mm_loadu_ps(maskFloat); \
		__m128 mask2 = _mm_loadu_ps(maskFloat[4]); \
		\
		r1 = _mm_mul_ps(a, b); \
		r1 = _mm_mul_ps(r1, mask2); \
		r2 = _mm_hadd_ps(r1, r1); \
		r3 = _mm_hadd_ps(r2, r2); \
		r3 = _mm_mul_ps(r3, mask1); \
		return r3; \
	}*/

#endif

#endif