#ifndef _ENGINE_CORE_IO_PNGLOADER_HPP
#define _ENGINE_CORE_IO_PNGLOADER_HPP

#include "../../dllconfig.hpp"
#include "../../Prototypes.hpp"
#include <string>

namespace Engine
{
	namespace Core
	{
		namespace IO
		{
			class _DLL_DECLSPEC PngLoader
			{
			public:
				static Graphic::Buffers::Texture2D* Load(FILE* _file, Graphic::GraphicContext* _context, bool _isGammaCorrect = true);
				static Graphic::Buffers::Texture2D* LoadFile(std::string _path, Graphic::GraphicContext* _context, bool _isGammaCorrect = true);
			};
		}
	}
}

#endif