#ifndef _ENGINE_GRAPHIC_BASICBODIES_LINESPHERE_HPP
#define _ENGINE_GRAPHIC_BASICBODIES_LINESPHERE_HPP

#include "../../dllconfig.hpp"
#include <gl\glew.h>
#include "../../Math/Math.hpp"

namespace Engine
{
	namespace Graphic
	{
		class GraphicContext;

		namespace BasicBodies
		{
			class _DLL_DECLSPEC LineSphere
			{
			public:
				LineSphere(GraphicContext* _context);
				~LineSphere();

				void Draw() const;

			private:
				GraphicContext* context;
				GLuint vbo, indexVbo, vao;
			};
		}
	}
}

#endif