#ifndef _ENGINE_GRAPHIC_BASICBODIES_PLANE_HPP
#define _ENGINE_GRAPHIC_BASICBODIES_PLANE_HPP

#include "../../dllconfig.hpp"
#include <gl\glew.h>

namespace Engine
{
	namespace Graphic
	{
		class GraphicContext;

		namespace BasicBodies
		{
			class _DLL_DECLSPEC Plane
			{
			public:
				Plane(GraphicContext* _context);
				~Plane();

				void Draw(GLenum _primitiveType) const;

			private:
				GraphicContext* context;
				GLuint vbo, indexVbo, vao;
			};
		}
	}
}

#endif