#ifndef _ENGINE_GRAPHIC_BUFFERS_INDIRECTDRAWBUFFER_HPP
#define _ENGINE_GRAPHIC_BUFFERS_INDIRECTDRAWBUFFER_HPP

#include "../../dllconfig.hpp"
#include "../../Prototypes.hpp"

#include "Buffer.hpp"
#include <gl\glew.h>

namespace Engine
{
	namespace Graphic
	{
		namespace Buffers
		{
			class _DLL_DECLSPEC IndirectDrawBuffer : public Buffer
			{
			public:
				IndirectDrawBuffer();
				~IndirectDrawBuffer();

				void BindAtomicCounter(GLuint location) const;
				void BindIndirectDraw() const;
				void ResetCount(GLuint _count);				

				void Set(GLuint _count, GLuint _instances, GLuint _first, GLuint _baseInstance) const;
			};
		}
	}
}

#endif