#ifndef _ENGINE_GRAPHIC_EFFECTS_FXAAEFFECT
#define _ENGINE_GRAPHIC_EFFECTS_FXAAEFFECT

#include "../../dllconfig.hpp"
#include "../../Prototypes.hpp"
#include "../../Math/Math.hpp"

namespace Engine
{
	namespace Graphic
	{
		namespace Effects
		{
			class _DLL_DECLSPEC FxaaEffect
			{
			public:
				FxaaEffect(GraphicContext* _context, unsigned int _width, unsigned int _height);
				~FxaaEffect();

				void Resize(unsigned int _width, unsigned int _height);
				void Render(const Buffers::Texture2D& _texture) const;

			private:
				
				GraphicContext* context;
				Math::Vec2f sampleSize;
			};
		}
	}
}

#endif