#ifndef _ENGINE_GRAPHIC_GRAPHICSTATES_POLYGONOFFSETSTATE_HPP
#define _ENGINE_GRAPHIC_GRAPHICSTATES_POLYGONOFFSETSTATE_HPP

#include "../DelayedChange/IDelayedValue.hpp"
#include <gl\glew.h>

namespace Engine
{
	namespace Graphic
	{
		class GraphicContext;

		namespace GraphicStates
		{
			class _DLL_DECLSPEC PolygonOffsetState : public DelayedChange::IDelayedValue
			{
			public:
				PolygonOffsetState(GraphicContext* _context);
				~PolygonOffsetState();

				void Enable(GLfloat _factor, GLfloat _units);
				void Disable();

			protected:
				virtual void DoChangeValue();

			private:
				GLfloat factor, units;
				GLboolean state;
			};
		}
	}
}

#endif