#ifndef _ENGINE_GRAPHIC_MATERIALS_IMATERIALPART_HPP
#define _ENGINE_GRAPHIC_MATERIALS_IMATERIALPART_HPP

#include "../../dllconfig.hpp"
#include "../../Prototypes.hpp"
#include "MaterialPartType.hpp"


namespace Engine
{
	namespace Graphic
	{
		namespace Materials
		{
			class _DLL_DECLSPEC IMaterialPart
			{
			public:
				virtual ~IMaterialPart();
				virtual void ToShader(Shaders::Shader* _shader) = 0;

				virtual MaterialPartType GetType() const = 0;
			};
		}
	}
}

#endif