#ifndef _ENGINE_GRAPHIC_MESHES_VERTEXSTREAMELEMENT_HPP
#define _ENGINE_GRAPHIC_MESHES_VERTEXSTREAMELEMENT_HPP

#include "../../dllconfig.hpp"

#include <gl\glew.h>

namespace Engine
{
	namespace Graphic
	{
		namespace Meshes
		{
			class _DLL_DECLSPEC VertexStreamElement
			{
			public:
				VertexStreamElement(GLuint _attribHandle, GLint _size, GLuint _offset);
				VertexStreamElement(const VertexStreamElement& _element);

				VertexStreamElement& operator = (const VertexStreamElement& _element);

				GLuint AttribHandle() const;
				GLint Size() const;
				GLuint Offset() const;

			private:
				GLuint attribHandle;
				GLint size;
				GLuint offset;
			};
		}
	}
}

#endif