#ifndef _ENGINE_GRAPHIC_SHADERS_IUNIFORM_HPP
#define _ENGINE_GRAPHIC_SHADERS_IUNIFORM_HPP

#include "../../dllconfig.hpp"
#include "../DelayedChange/IDelayedValue.hpp"

#include <gl\glew.h>
#include <string>

namespace Engine
{
	namespace Graphic
	{
		namespace Shaders
		{
			class Shader;

			class _DLL_DECLSPEC IUniform : public DelayedChange::IDelayedValue
			{
			public:
				IUniform(DelayedChange::IDelayedValueObserver* _observer);
				virtual ~IUniform();

				const bool HasHandle() const;

				void Bind(const char* _name);

			protected:
				GLint Handle() const;

			private:
				GLint handle;
			};
		}
	}
}

#endif