#ifndef _ENGINE_GRAPHIC_SHADERS_IUNIFORMARRAY_HPP
#define _ENGINE_GRAPHIC_SHADERS_IUNIFORMARRAY_HPP

#include "../../dllconfig.hpp"
#include "IUniform.hpp"
#include <cstring>

namespace Engine
{
	namespace Graphic
	{
		namespace Shaders
		{
			class _DLL_DECLSPEC IUniformArray
			{
			public:
				IUniformArray(size_t _count);
				virtual ~IUniformArray();

				const size_t Count() const;

				virtual void SetUniform(size_t _index, IUniform* _uniform) = 0;

			private:
				size_t count;

			};
		}
	}
}

#endif