#define DLL_EXPORT

#include "CurveData.hpp"
#include "CurvePoint.hpp"

using namespace Engine;
using namespace Engine::Scene;
using namespace Engine::Scene::Animations;

CurveData::CurveData(CurvePoint* _points, unsigned int _count, CurveTarget _target)
	: points(_points), count(_count), target(_target)
{ }

CurveData::~CurveData()
{
	if (points != nullptr)
		delete[] points;
}

inline CurvePoint* CurveData::Points() const
{
	return points;
}
inline unsigned int CurveData::Count() const
{
	return count;
}
inline CurveTarget CurveData::Target() const
{
	return target;
}