#define DLL_EXPORT

#include "ComponentChangedEventArgs.hpp"

using namespace Engine::Scene;
using namespace Engine::Scene::Components;

ComponentChangedEventArgs::ComponentChangedEventArgs(IComponent* _component, ComponentActionType _actionType) : component(_component), actionType(_actionType)
{ }

inline IComponent* ComponentChangedEventArgs::Component() const
{
	return component;
}

inline ComponentActionType ComponentChangedEventArgs::ActionType() const
{
	return actionType;
}