#ifndef _ENGINE_UTIL_STOPWATCH
#define _ENGINE_UTIL_STOPWATCH

#include "../dllconfig.hpp"

#include <Windows.h>
#include <string>
#include <ctime>

namespace Engine
{
	namespace Util
	{
		class _DLL_DECLSPEC StopWatch
		{
		public:
			StopWatch(std::string _name);
			~StopWatch();

			void Start();
			void Stop();

			float Time() const;

			std::string Display(bool _showInConsole = false);

		private:
			std::string name;
			LONGLONG startTime, timerFrequency;
			LONGLONG endTime;
		};
	}
}

#endif