#ifndef _ENGINE_CORE_CONCURRENCY_BLOCKLOCKER_HPP
#define _ENGINE_CORE_CONCURRENCY_BLOCKLOCKER_HPP

#include "../../dllconfig.hpp"
#include "Lockable.hpp"

namespace Engine
{
	namespace Core
	{
		namespace Concurrency
		{
			class _DLL_DECLSPEC BlockLocker
			{
			public:
				BlockLocker(Lockable* _object);
				~BlockLocker();

			private:
				Lockable* object;
			};
		}
	}
}

#endif