#ifndef _ENGINE_CORE_CONCURRENCY_EVENT_HPP
#define _ENGINE_CORE_CONCURRENCY_EVENT_HPP

#include "../../dllconfig.hpp"
#include <Windows.h>

namespace Engine
{
	namespace Core
	{
		namespace Concurrency
		{
			class _DLL_DECLSPEC Event
			{
			public:
				Event();
				Event(bool _manualReset);
				Event(bool _manualReset, bool _state);
				~Event();

				void Set() const;
				void Reset() const;

				void Wait() const;
				bool IsSet() const;

			private:
				HANDLE handle;
			};
		}
	}
}

#endif