#ifndef _ENGINE_CORE_CONCURRENCY_TLSDATA
#define _ENGINE_CORE_CONCURRENCY_TLSDATA

#include "../../dllconfig.hpp"

#include <vector>

namespace Engine
{
	namespace Core
	{
		namespace Concurrency
		{
			class Lockable;
		}
	}
}

typedef std::vector<Engine::Core::Concurrency::Lockable*> LockList;

namespace Engine
{
	namespace Core
	{
		namespace Concurrency
		{
			struct _DLL_DECLSPEC TLSData
			{
			public:
				LockList* lockedObjects;
				void* tmpSSEMemory[2];
			};
		}
	}
}

#endif