#define DLL_EXPORT

#include "Thread.hpp"

using namespace Engine::Core::Concurrency;

Thread::Thread()
{	
	handle = CreateThread(
		NULL, //Security
		0, //StackSize (Auto)
		Thread::EntrencePoint, //Startadress
		this, //Parameter
		CREATE_SUSPENDED, //Flags
		NULL //ThreadID
		);
}

Thread::~Thread()
{ }

void Thread::Start() const
{
	ResumeThread(handle);
}

void Thread::Join() const
{
	WaitForSingleObject(handle, INFINITE);
}

DWORD WINAPI Thread::EntrencePoint(LPVOID _param)
{
	//Parameter must be a Thread*
	Thread* thread = (Thread*)_param;

	thread->Run();

	return 0;
}