#ifndef _ENGINE_CORE_CONCURRENCY_THREAD_HPP
#define _ENGINE_CORE_CONCURRENCY_THREAD_HPP

#include "../../dllconfig.hpp"
#include "ThreadManager.hpp"

#include <Windows.h>

namespace Engine
{
	namespace Core
	{
		namespace Concurrency
		{
			class _DLL_DECLSPEC Thread
			{
			public:
				Thread();
				virtual ~Thread();

				void Start() const;
				void Join() const;

			protected:
				virtual void Run() = 0;

			private:
				static DWORD WINAPI EntrencePoint(LPVOID _param);

				HANDLE handle;
			};
		}
	}
}

#endif