#define DLL_EXPORT

#include "DictionaryEntry.hpp"

using namespace Engine;
using namespace Engine::Core;
using namespace Engine::Core::IO;

DictionaryEntry::DictionaryEntry() : id(0), startAddress(0), length(0)
{ }
DictionaryEntry::DictionaryEntry(unsigned short _id, unsigned int _startAddress, unsigned int _length) : id(_id), startAddress(_startAddress), length(_length)
{ }
DictionaryEntry::DictionaryEntry(const DictionaryEntry& _entry) : id (_entry.id), startAddress(_entry.startAddress), length(_entry.length)
{ }
DictionaryEntry::~DictionaryEntry()
{ }

inline unsigned short DictionaryEntry::Id() const
{
	return id;
}
inline unsigned int DictionaryEntry::StartAddress() const
{
	return startAddress;
}
inline unsigned int DictionaryEntry::Lenght() const
{
	return length;
}

DictionaryEntry& DictionaryEntry::operator=(const DictionaryEntry& _entry)
{
	id = _entry.id;
	startAddress = _entry.startAddress;
	length = _entry.length;
	return *this;
}