#ifndef _ENGINE_CORE_IO_DICTIONARYENTRY_HPP
#define _ENGINE_CORE_IO_DICTIONARYENTRY_HPP

#include "../../dllconfig.hpp"

namespace Engine
{
	namespace Core
	{
		namespace IO
		{
			class _DLL_DECLSPEC DictionaryEntry
			{
			public:
				DictionaryEntry();
				DictionaryEntry(unsigned short _id, unsigned int _startAddress, unsigned int _length);
				DictionaryEntry(const DictionaryEntry& _entry);
				~DictionaryEntry();

				unsigned short Id() const;
				unsigned int StartAddress() const;
				unsigned int Lenght() const;

				DictionaryEntry& operator = (const DictionaryEntry& _entry);

			private:
				unsigned short id;
				unsigned int startAddress;
				unsigned int length;
			};
		}
	}
}

#endif