#define DLL_EXPORT

#include "HeapAllocator.hpp"

using namespace Engine::Core::Memory;

HeapAllocator::HeapAllocator() { }

HeapAllocator::~HeapAllocator() { }

void HeapAllocator::Free(void* _data)
{
	assert(_data != nullptr);

	_aligned_free(_data);
}
				
void HeapAllocator::FreeArray(void* _data)
{
	assert(_data != nullptr);

	_aligned_free(_data);
}

void* HeapAllocator::InternalAlloc(unsigned int _size, unsigned int _alignment)
{
return _aligned_malloc(_size, _alignment);
}
				
void* HeapAllocator::InternalAllocArray(unsigned int _elementSize, unsigned int _count, unsigned int _alignment)
{
return _aligned_malloc(_elementSize * _count, _alignment);
}