#ifndef _ENGINE_CORE_SYSTEM_TASKS_POSITIONUPDATETASK_HPP
#define _ENGINE_CORE_SYSTEM_TASKS_POSITIONUPDATETASK_HPP

#include "../../../dllconfig.hpp"
#include <vector>

namespace Engine
{
	namespace Scene
	{
		namespace Components
		{
			class PositionComponent;
		}
	}

	namespace Core
	{
		namespace System
		{
			namespace Tasks
			{
				class _DLL_DECLSPEC PositionUpdateTask
				{
				public:
					static void Process(const std::vector<Scene::Components::PositionComponent*>& _positionComponents, unsigned int _threadId);
				};
			}
		}
	}
}

#endif