#ifndef _ENGINE_CORE_SYSTEM_TASKS_UPDATETASK_HPP
#define _ENGINE_CORE_SYSTEM_TASKS_UPDATETASK_HPP

#include "../../../dllconfig.hpp"
#include "../../../Prototypes.hpp"
#include <vector>

namespace Engine
{
	namespace Scene
	{
		class World;
	}

	namespace Core
	{
		namespace System
		{
			namespace Tasks
			{
				class _DLL_DECLSPEC UpdateTask
				{
				public:
					static void Process(const std::vector<Scene::Components::IComponent*> _components, unsigned int _threadId);
				};
			}
		}
	}
}

#endif