#ifndef _ENGINE_CORE_SYSTEM_WORKERTHREAD_HPP
#define _ENGINE_CORE_SYSTEM_WORKERTHREAD_HPP

#include "../../dllconfig.hpp"
#include "../Concurrency/Thread.hpp"

namespace Engine
{
	class EngineManager;

	namespace Core
	{
		namespace System
		{
			class _DLL_DECLSPEC WorkerThread : public Engine::Core::Concurrency::Thread
			{
			public:
				WorkerThread(EngineManager* _manager);
				virtual ~WorkerThread();

				virtual void Run();

				void Stop();

			private:
				void UpdateTree();
				void CullObjects();

				EngineManager* manager;
				bool shouldStop;
			};
		}
	}
}

#endif