#ifndef _ENGINE_GRAPHIC_BASICBODIES_LINECONE_HPP
#define _ENGINE_GRAPHIC_BASICBODIES_LINECONE_HPP

#include "../../dllconfig.hpp"
#include <gl\glew.h>
#include "../../Math/Math.hpp"

namespace Engine
{
	namespace Graphic
	{
		class GraphicContext;

		namespace BasicBodies
		{
			class _DLL_DECLSPEC LineCone
			{
			public:
				LineCone(GraphicContext* _context);
				~LineCone();

				static Math::Mat4f CreateMatrix(float _angle, float _height);
				void Draw() const;

			private:
				GraphicContext* context;
				GLuint vbo, indexVbo, vao;
			};
		}
	}
}

#endif