#ifndef _ENGINE_GRAPHIC_BASICBODIES_LINECUBE_HPP
#define _ENGINE_GRAPHIC_BASICBODIES_LINECUBE_HPP

#include "../../dllconfig.hpp"
#include <gl\glew.h>
#include "../../Math/Math.hpp"

namespace Engine
{
	namespace Graphic
	{
		class GraphicContext;

		namespace BasicBodies
		{
			class _DLL_DECLSPEC LineCube
			{
			public:
				LineCube(GraphicContext* _context);
				~LineCube();

				void Draw() const;
				void DrawInstanced(GLsizei _instanceCount) const;

			private:
				GraphicContext* context;
				GLuint vbo, indexVbo, vao;
			};
		}
	}
}

#endif