#ifndef _ENGINE_GRAPHIC_BUFFERS_ATOMICCOUNTERBUFFER_HPP
#define _ENGINE_GRAPHIC_BUFFERS_ATOMICCOUNTERBUFFER_HPP

#include "../../dllconfig.hpp"
#include "../../Prototypes.hpp"

#include <gl\glew.h>
#include "Buffer.hpp"

namespace Engine
{
	namespace Graphic
	{
		namespace Buffers
		{
			class _DLL_DECLSPEC AtomicCounterBuffer : public Buffer
			{
			public:
				AtomicCounterBuffer();
				AtomicCounterBuffer(unsigned int _initialValue);
				~AtomicCounterBuffer();

				void Bind(GLuint location) const;
				void Set(GLuint _value) const;
			};
		}
	}
}

#endif