#define DLL_EXPORT

#include "IDelayedValueObserver.hpp"

using namespace Engine::Graphic::DelayedChange;

IDelayedValueObserver::IDelayedValueObserver()
{ }

IDelayedValueObserver::~IDelayedValueObserver()
{
}

void IDelayedValueObserver::ChangeValues()
{
	for (auto it = changedValues.begin(); it != changedValues.end(); ++it)
		(*it)->ChangeValue();

	changedValues.clear();
}

void IDelayedValueObserver::NotifyValueChanged(IDelayedValue* _value)
{
	changedValues.push_back(_value);
}