#ifndef _ENGINE_GRAPHIC_DELAYEDCHANGE_IDELAYEDVALUEOBSERVER_HPP
#define _ENGINE_GRAPHIC_DELAYEDCHANGE_IDELAYEDVALUEOBSERVER_HPP

#include "../../dllconfig.hpp"
#include "IDelayedValue.hpp"
#include <vector>

namespace Engine
{
	namespace Graphic
	{
		namespace DelayedChange
		{
			class _DLL_DECLSPEC IDelayedValueObserver
			{
			public:
				IDelayedValueObserver();
				virtual ~IDelayedValueObserver();

				void ChangeValues();

				void NotifyValueChanged(IDelayedValue* _value);

			private:
				std::vector<IDelayedValue*> changedValues;
			};
		}
	}
}

#endif