#ifndef _ENGINE_GRAPHIC_EFFECTS_DIRECTIONALLIGHTEFFECT_HPP
#define _ENGINE_GRAPHIC_EFFECTS_DIRECTIONALLIGHTEFFECT_HPP

#include "../../dllconfig.hpp"
#include "../../Prototypes.hpp"
#include "../../Graphic/Shaders/Shader.hpp"

namespace Engine
{
	namespace Graphic
	{
		namespace Effects
		{
			class _DLL_DECLSPEC DirectionalLightEffect
			{
			public:
				DirectionalLightEffect(const Scene::Cameras::Camera& _camera, GraphicContext* _context);
				~DirectionalLightEffect();

				void Render(const Scene::Lights::DirectionalLight* _light);

			private:
				static ShaderPtr* shaderPtr; //This is used as a singleton shader loader
				ShaderPtr shader;

				GraphicContext* context;
				const Scene::Cameras::Camera& camera;
			};
		}
	}
}

#endif