#define DLL_EXPORT

/*#include "GaussEffect.hpp"
#include "../Shaders/PostprocessingShader.hpp"
#include "../BasicBodies/Plane.hpp"
#include "../GraphicContext.hpp"

using namespace Engine;
using namespace Engine::Graphic;
using namespace Engine::Graphic::FrameBuffers;
using namespace Engine::Graphic::Buffers;
using namespace Engine::Graphic::Effects;

GaussEffect::GaussEffect(GraphicContext* _context) : context(_context)
{
	CreateBuffers();
}

GaussEffect::~GaussEffect()
{
	DeleteBuffers();
}

void GaussEffect::CreateBuffers()
{
	gaussBuffersSizes.push_back(128);
	gaussBuffersSizes.push_back(64);

	for(int i=0; i < gaussBuffersSizes.size(); i++)
	{
		int size = gaussBuffersSizes[i];
		for(int j=0; j<2; j++)
		{
			HDRColorBuffer *buffer = new HDRColorBuffer(size, size, true, false);
			gaussBuffers.push_back(buffer);
		}
	}
}
void GaussEffect::DeleteBuffers()
{
	for (auto gb = gaussBuffers.begin(); gb != gaussBuffers.end(); ++gb)
	{
		delete (*gb);
	}
}

FrameBuffers::HDRColorBuffer* GaussEffect::Render(const Texture2D& _texture) const
{
	context->GaussShader()->Activate();
	
	for(int i=0; i < gaussBuffersSizes.size(); i++)
	{
		int size = gaussBuffersSizes[i];
		
		// runter scalieren
		context->GaussShader()->UniformVariable<GLint>("operationMode") = GAUSS_SHADER_DIRECTION_NONE;
		this->RenderGaussStep(gaussBuffers[i*2], size);

		// horizontal blur
		context->GaussShader()->UniformVariable<GLint>("operationMode") = GAUSS_SHADER_DIRECTION_HORIZONTAL;
		this->RenderGaussStep(gaussBuffers[i*2 + 1], size);

		// vertical blur
		context->GaussShader()->UniformVariable<GLint>("operationMode") = GAUSS_SHADER_DIRECTION_VERTICAL;
		this->RenderGaussStep( gaussBuffers[i*2], size);
	}

	// blured Buffers summieren
	context->GaussShader()->UniformVariable<GLint>("operationMode") = GAUSS_SHADER_DIRECTION_NONE;
	context->Blend().Enable(GL_ONE, GL_ONE);
	for(int i=(int)gaussBuffersSizes.size()-2; i >= 0; i--) // -2 weil der Vorletzte Buffer das erste Target ist
	{
		int size = gaussBuffersSizes[i];
		this->RenderGaussStep( gaussBuffers[i*2 + 2], size);
	}
	
	return gaussBuffers[0]; //->ColorTexture();
}

void GaussEffect::RenderGaussStep(const HDRColorBuffer* _targetBuffer, const int _targetTextureSize) const
{
	GLfloat samplingSize = 1.0f / (GLfloat)_targetTextureSize;
	context->GaussShader()->UniformVariable<Math::Vec2f>("sampleSize") = Math::Vec2f(samplingSize, samplingSize);

	// FROM - textur setzen	
	context->GaussShader()->ChangeValues();

	// TO - buffer activieren
	_targetBuffer->Bind();
	
	context->ScreenPlane()->Draw(GL_TRIANGLES); // quades zeichnen
}*/