#ifndef _ENGINE_GRAPHIC_GI_GENERATION_IGENERATIONSTAGE_HPP
#define _ENGINE_GRAPHIC_GI_GENERATION_IGENERATIONSTAGE_HPP

#include "../../../dllconfig.hpp"
#include "../../../Prototypes.hpp"

#include <string>

namespace Engine
{
	namespace Graphic
	{
		namespace GI
		{
			namespace Generation
			{
				class _DLL_DECLSPEC IGenerationStage
				{
				public:
					IGenerationStage();
					virtual ~IGenerationStage();

					virtual void Process() = 0;

					virtual void WriteToFile(const std::string _path) const = 0;
				};
			}
		}
	}
}

#endif