#ifndef _ENGINE_GRAPHIC_GI_ILLUMINATION_IILLUMINATIONSTAGE_HPP
#define _ENGINE_GRAPHIC_GI_ILLUMINATION_IILLUMINATIONSTAGE_HPP

#include "../../../dllconfig.hpp"
#include "../../../Prototypes.hpp"

#include "../../../Math/Math.hpp"

namespace Engine
{
	namespace Graphic
	{
		namespace GI
		{
			namespace Illumination
			{
				class _DLL_DECLSPEC IIlluminationStage
				{
				public:
					IIlluminationStage();
					virtual ~IIlluminationStage();

					virtual void Process(const Math::Mat4f& _inverseCameraMatrix, const Math::Vec3f& _cameraPosition, const FrameBuffers::FrameBuffer& _illuminationBuffer) = 0;
				};
			}
		}
	}
}


#endif