#ifndef _ENGINE_GRAPHIC_GI_RENDERING_IRENDERSTAGE_HPP
#define _ENGINE_GRAPHIC_GI_RENDERING_IRENDERSTAGE_HPP

#include "../../../dllconfig.hpp"
#include "../../../Prototypes.hpp"

#include "../../../Math/Math.hpp"

namespace Engine
{
	namespace Graphic
	{
		namespace GI
		{
			namespace Rendering
			{
				class _DLL_DECLSPEC IRenderStage
				{
				public:
					IRenderStage();
					virtual ~IRenderStage();

					virtual void Process(const Math::Mat4f& _cameraMatrix) = 0;
				};
			}
		}
	}
}

#endif