#define DLL_EXPORT

#include "LineWidthState.hpp"
#include "../GraphicContext.hpp"

using namespace Engine;
using namespace Engine::Graphic;
using namespace Engine::Graphic::DelayedChange;
using namespace Engine::Graphic::GraphicStates;

LineWidthState::LineWidthState(GraphicContext* _context) : IDelayedValue(_context), width(1.0f)
{ }
LineWidthState::~LineWidthState()
{ }

void LineWidthState::Set(GLfloat _width)
{
	if (width = _width)
	{
		width = _width;
		OnNotifyValueChanged();
	}
}

void LineWidthState::DoChangeValue()
{
	glLineWidth(width);
}