#ifndef _ENGINE_GRAPHIC_GRAPHICSTATES_LINEWIDTHSTATE_HPP
#define _ENGINE_GRAPHIC_GRAPHICSTATES_LINEWIDTHSTATE_HPP

#include "../DelayedChange/IDelayedValue.hpp"
#include <gl\glew.h>

namespace Engine
{
	namespace Graphic
	{
		class GraphicContext;

		namespace GraphicStates
		{
			class _DLL_DECLSPEC LineWidthState : public DelayedChange::IDelayedValue
			{
			public:
				LineWidthState(GraphicContext* _context);
				~LineWidthState();

				void Set(GLfloat _width);

			protected:
				virtual void DoChangeValue();

			private:
				GLfloat width;
			};
		}
	}
}

#endif