#ifndef _ENGINE_GRAPHIC_GRAPHICSTATES_RASTERIZERSTATE_HPP
#define _ENGINE_GRAPHIC_GRAPHICSTATES_RASTERIZERSTATE_HPP

#include "../../dllconfig.hpp"
#include "../../Prototypes.hpp"
#include "../DelayedChange/IDelayedValue.hpp"
#include <gl\glew.h>

namespace Engine
{
	namespace Graphic
	{
		namespace GraphicStates
		{
			class _DLL_DECLSPEC RasterizerState : public DelayedChange::IDelayedValue
			{
			public:
				RasterizerState(GraphicContext* _context);
				~RasterizerState();

				void Enable();
				void Disable();

			protected:
				virtual void DoChangeValue();

			private:
				GLboolean isEnabled;
			};
		}
	}
}

#endif