#ifndef _ENGINE_GRAPHIC_GRAPHICSTATES_UNPACKALIGNMENTSTATE_HPP
#define _ENGINE_GRAPHIC_GRAPHICSTATES_UNPACKALIGNMENTSTATE_HPP

#include "../DelayedChange/IDelayedValue.hpp"
#include <gl\glew.h>

namespace Engine
{
	namespace Graphic
	{
		class GraphicContext;

		namespace GraphicStates
		{
			class _DLL_DECLSPEC UnpackAlignmentState : public DelayedChange::IDelayedValue
			{
			public:
				UnpackAlignmentState(GraphicContext* _context);
				~UnpackAlignmentState();

				void Set(GLint _alignment);

			protected:
				virtual void DoChangeValue();

			private:
				GLint alignment;
			};
		}
	}
}

#endif