#ifndef _ENGINE_GRAPHIC_MATERIALS_EMITTINGCOLORMATERIALPART_HPP
#define _ENGINE_GRAPHIC_MATERIALS_EMITTINGCOLORMATERIALPART_HPP

#include "IMaterialPart.hpp"
#include "../../Math/Math.hpp"

namespace Engine
{
	namespace Graphic
	{
		namespace Materials
		{
			class _DLL_DECLSPEC EmittingColorMaterialPart : public IMaterialPart
			{
			public:
				EmittingColorMaterialPart(const Math::Vec3f& _emittingColor);
				virtual ~EmittingColorMaterialPart();

				void ToShader(Shaders::Shader* _shader);

				MaterialPartType GetType() const;

				const Math::Vec3f& EmittingColor() const;
				void EmittingColor(const Math::Vec3f& _color);


			private:
				Math::Vec3f emittingColor;
			};
		}
	}
}

#endif