#ifndef _ENGINE_GRAPHIC_MATERIALS_OPACITYMATERIALPART_HPP
#define _ENGINE_GRAPHIC_MATERIALS_OPACITYMATERIALPART_HPP

#include "IMaterialPart.hpp"

namespace Engine
{
	namespace Graphic
	{
		namespace Materials
		{
			class _DLL_DECLSPEC OpacityMaterialPart : public IMaterialPart
			{
			public:
				OpacityMaterialPart(float _opacity);
				virtual ~OpacityMaterialPart();

				void ToShader(Shaders::Shader* _shader);

				MaterialPartType GetType() const;

				float Opacity() const;
				void Opacity(float _value);

			private:
				float opacity;
			};
		}
	}
}

#endif