#define DLL_EXPORT

#include "IUniform.hpp"
#include "Shader.hpp"

using namespace Engine::Graphic::Shaders;
using namespace Engine::Graphic::DelayedChange;

IUniform::IUniform(IDelayedValueObserver* _observer) : IDelayedValue(_observer), handle(-1)
{ }

IUniform::~IUniform()
{ }

inline const bool IUniform::HasHandle() const
{
	return (handle != -1);
}

void IUniform::Bind(const char* _name)
{
	//Uniform holen und wegspeichern
	handle = glGetUniformLocation(((Shader*)Observer())->Handle(), _name);
}

inline GLint IUniform::Handle() const
{
	return handle;
}