#ifndef _ENGINE_SCENE_COMPONENTS_LIGHTCOMPONENTS_LIGHTCOMPONENT_HPP
#define _ENGINE_SCENE_COMPONENTS_LIGHTCOMPONENTS_LIGHTCOMPONENT_HPP

#include "../../../Prototypes.hpp"
#include "../IComponent.hpp"
#include "../../../Math/Math.hpp"


namespace Engine
{
	namespace Scene
	{
		namespace Components
		{
			namespace LightComponents
			{
				class _DLL_DECLSPEC LightComponent : public IComponent
				{
				public:
					LightComponent(Scene::SceneObject* _sceneObject);
					~LightComponent();

					virtual Lights::Light* Light() const = 0;

					virtual void RenderDebug(const Math::Mat4f& _cameraMatrix) const = 0;

					virtual BoundingComponent* Bounding() const = 0;
				};
			}
		}
	}
}

#endif