#define DLL_EXPORT

#include "ParentChangedEventArgs.hpp"

#include "SceneObject.hpp"

using namespace Engine::Scene;
using namespace Engine::Core::EventHandling;

ParentChangedEventArgs::ParentChangedEventArgs(SceneObject* _oldValue, SceneObject* _newValue) : oldValue(_oldValue), newValue(_newValue)
{ }

inline SceneObject* ParentChangedEventArgs::NewValue() const
{
	return newValue;
}

inline SceneObject* ParentChangedEventArgs::OldValue() const
{
	return oldValue;
}