#ifndef _ENGINE_SCENE_PARENTCHANGEDEVENTARGS_HPP
#define _ENGINE_SCENE_PARENTCHANGEDEVENTARGS_HPP

#include "../dllconfig.hpp"
#include "../Core/EventHandling/EventArgs.hpp"

namespace Engine
{
	namespace Scene
	{
		class SceneObject;

		class _DLL_DECLSPEC ParentChangedEventArgs : public Engine::Core::EventHandling::EventArgs
		{
		public:
			ParentChangedEventArgs(SceneObject* _oldValue, SceneObject* _newValue);

			SceneObject* OldValue() const;
			SceneObject* NewValue() const;

		private:
			SceneObject *oldValue, *newValue;
		};
	}
}

#endif