#ifndef _ENGINE_UTIL_GLSTOPWATCH_HPP
#define _ENGINE_UTIL_GLSTOPWATCH_HPP

#include "../dllconfig.hpp"

#include <gl\glew.h>
#include <string>

namespace Engine
{
	namespace Util
	{
		class _DLL_DECLSPEC GLStopWatch
		{
		public:
			GLStopWatch();
			~GLStopWatch();

			void Start();
			void Stop();

			float Time();
		private:
			GLuint64 timer, timer2;
			GLuint queries[2];			

		};
	}
}

#endif