#ifndef _DLLCONFIG_HPP
#define _DLLCONFIG_HPP

#include "Types.hpp"

#define ENGINE_INTERFACE _declspec(novtable)

//Uncomment the next line to enable stacktraces etc.
#define _ENGINE_USE_INTERNALDEBUGGING

//Switch how SSE instructions are handled
#define USE_SSE_MATH //When uncommenting this line no SSE instructions are used
#define USE_SSE4_REPLACEMENTS //This line replaces SSE 4.1 and 4.2 instructions by macros that check there existance before calling them

//Uncomment the next line if you want to have timerqueries for the octree
//#define _ENGINE_OCTREEE_TIMERS

#pragma warning(disable : 4251 4099)

	#ifdef DLL_EXPORT
		#define _DLL_DECLSPEC _declspec(dllexport)
	#else
		#define _DLL_DECLSPEC _declspec(dllimport)
	#endif

#endif